All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.metadata.business
Class Lasr

    com.sas.iquery.metadata.business.Lasr

All Implemented Interfaces:
  Base, ModelItem, UsabilityInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.util.EventListener

    public class Lasr

Since:
  9.4

Field Summary

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Constructor Summary
`Lasr(BusinessModel businessModel)`
`Lasr(BusinessModel businessModel, com.sas.iquery.metadata.business.LasrType usage)`

Method Summary
`protected void` | `accumulateDirectlyReferencedItemsInDownwardDefinition(java.util.List<? super ModelItem> intoList)` Accumulates the AbstractModelItem items that this object directly references that make up it's "downward definition" into the given list.
`Lasr` | `create(java.lang.String create)`
`Lasr` | `data(java.lang.String data)`
`Lasr` | `data(com.sas.iquery.metadata.physical.Table table)`
`java.lang.StringBuffer` | `generateLasrStatement()`
`java.lang.StringBuffer` | `generateLasrStatement(java.lang.String inputTable)`
`com.sas.iquery.metadata.business.DataSourceTable` | `getDataSourceTable()`
`protected java.lang.String` | `getDefinitionElementName()` Every non-abstract object type that is persistable must be able to surface it's unique element name used for holding the object's definition.
`com.sas.iquery.metadata.business.LasrType` | `getUsage()`
`Lasr` | `host(java.lang.String host)`
`Lasr` | `install(java.lang.String install)`
`Lasr` | `nodes(int nodes)`
`Lasr` | `nthreads(int nthreads)`
`Lasr` | `path(java.lang.String path)`
`protected void` | `replaceDirectReferences(java.lang.Object oldObject, java.lang.Object newObject)` IQ internal use only -- API users should not use.

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Constructor Detail

### Lasr

    public Lasr(BusinessModel businessModel)

### Lasr

    public Lasr(BusinessModel businessModel,
                com.sas.iquery.metadata.business.LasrType usage)

Method Detail

### data

    public Lasr data(java.lang.String data)
              throws GenerationException

  Throws:
    `GenerationException`

### data

    public Lasr data(com.sas.iquery.metadata.physical.Table table)
              throws GenerationException

  Throws:
    `GenerationException`

### create

    public Lasr create(java.lang.String create)

### path

    public Lasr path(java.lang.String path)

### host

    public Lasr host(java.lang.String host)

### install

    public Lasr install(java.lang.String install)

### nodes

    public Lasr nodes(int nodes)

### nthreads

    public Lasr nthreads(int nthreads)

### generateLasrStatement

    public java.lang.StringBuffer generateLasrStatement()

### generateLasrStatement

    public java.lang.StringBuffer generateLasrStatement(java.lang.String inputTable)

### getUsage

    public com.sas.iquery.metadata.business.LasrType getUsage()

  Returns:
    Returns the usage.

### getDataSourceTable

    public com.sas.iquery.metadata.business.DataSourceTable getDataSourceTable()

  Returns:
    Returns the Table for stand-alone submission.

### accumulateDirectlyReferencedItemsInDownwardDefinition

    protected void accumulateDirectlyReferencedItemsInDownwardDefinition(java.util.List<? super ModelItem> intoList)

  Description copied from class: `AbstractBase`
  Accumulates the AbstractModelItem items that this object directly references that make up it's "downward definition" into the given list. This method is a key method in recursing down an object's definition as done via the getResources() and getReasonsUnusable() methods among others.

  For this method, no objects should be added that cause an "upward reference" ... such as a column adding it's owning table or any other reference that may cause the interpretation of cycles within an object's definition. Duplicate object references should be accumulated by implementors of this method. It is OK to accumulate null references. One should only accumulate objects of type AbstractModelItem.

  See the class documentation above for a definition and discussion on what encompasses an object's downward definition.

  Specified by:
    `accumulateDirectlyReferencedItemsInDownwardDefinition` in class `com.sas.iquery.metadata.business.impl.AbstractBase`
  See Also:
    `AbstractBase.accumulateDirectlyReferencedItemsInDownwardDefinition(java.util.List)`

### getDefinitionElementName

    protected java.lang.String getDefinitionElementName()

  Description copied from class: `AbstractBase`
  Every non-abstract object type that is persistable must be able to surface it's unique element name used for holding the object's definition.

  Specified by:
    `getDefinitionElementName` in class `com.sas.iquery.metadata.business.impl.AbstractBase`
  Returns:
    the element name to hold the definition of an object of this type.
  See Also:
    `AbstractBase.getDefinitionElementName()`

### replaceDirectReferences

    protected void replaceDirectReferences(java.lang.Object oldObject,
                                           java.lang.Object newObject)

  Description copied from class: `AbstractBase`
  IQ internal use only -- API users should not use.

  When called, this object replaces any direct references it has to oldItem with newItem. The oldItem object should be compared using the == operator with any instance variables the object has and if oldItem is directly referenced, it should replace that reference with a reference to newItem.

  Generally speaking, both items should be of the same type of class, though the implementation of this method does not check that. Note that there are cases where resource replacement logic temporarily sets proxy objects with this method and sets the real intended object quickly after that.

  Implementors of this method should provide replacement to all objects that it references.

  This is considered somewhat of a "raw" method in that it does just as it's advertised. If special replacement logic is needed for certain scenarios (e.g. replacing only a portion of the objects referenced at model reading time or resource replacement time, etc.) it's typically best to implement logic around this raw method either calling it conditionally or defining a new method for objects like replaceWhenReading() that by default calls into this method and can be overridden for certain specific uses.

  Subclasses are encouraged to use the utility methods `replace`, `replaceInList` and `replaceInJavaMap` for replacing direct references to their instance variables.

  Specified by:
    `replaceDirectReferences` in class `com.sas.iquery.metadata.business.impl.AbstractBase`
  See Also:
    `AbstractBase.replaceDirectReferences(java.lang.Object, java.lang.Object)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.